%define upstream_name    SOAP-WSDL
%define upstream_version 2.00.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    SOAP with WSDL support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Std::Fast)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Storable)
BuildRequires: perl(Template)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser::Expat)

BuildArch: noarch

Provides:      perl(SOAP::WSDL::Header)

%description
SOAP::WSDL provides easy access to Web Services with WSDL descriptions.

The WSDL is parsed and stored in memory.

Your data is serialized according to the rules in the WSDL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes README META.yml
%{_bindir}/wsdl2perl.pl
%{_mandir}/man3/*
%{_mandir}/man1/*
%{perl_vendorlib}/SOAP


%changelog
* Mon Jan 24 2011 jquelin <jquelin> 2.0.10-1.mga1
+ Revision: 36991
- using build.pl
- mageia rebuild
- imported package perl-SOAP-WSDL


* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.10-1mdv2010.0
+ Revision: 377830
- update to new version 2.00.10

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.09-1mdv2009.1
+ Revision: 344390
- update to new version 2.00.09

* Mon Feb 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.08-1mdv2009.1
+ Revision: 344218
- update to new version 2.00.08

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.06-1mdv2009.1
+ Revision: 312022
- update to new version 2.00.06

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-3mdv2009.0
+ Revision: 272152
- correctly fix dependencies

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-2mdv2009.0
+ Revision: 271603
- fix dependencies

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-1mdv2009.0
+ Revision: 271514
- import perl-SOAP-WSDL


* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-1mdv2009.0
- initial mdv release, generated with cpan2dist

